#default:
#    image: ruby:2.7.2  # change default docker image for running the pipeline

stages:
    - build
    - test
    - package
    - deploy


sonarcloud-check:
    stage: test
    image:
        name: sonarsource/sonar-scanner-cli:latest
        entrypoint: [""]
    variables:
        GIT_DEPTH: "0"
        SONAR_USER_HOME: "${CI_PROJECT_DIR}/.sonar"
        #SONAR_TOKEN: "03f3a77bc8e73292f12a1a8d4aa1f8a71c854f2a"
        #SONAR_HOST_URL: "https://sonarcloud.io"
    cache:
        key: "${CI_JOB_NAME}"
        paths:
            - .sonar/cache
    script:
        - sonar-scanner
    allow_failure: true
    only:
        - master


postman-tests:
    stage: test
    image: 
        name: postman/newman_alpine33
        entrypoint: [""]
    script:
        - newman run youtubedl.postman_collection.json

build-job:
    stage: build
    script:
        - echo "Building app"

deploy-prod:
    stage: deploy
    script:
        - echo "Deploy app from $CI_COMMIT_BRANCH"
